package com.tofly.feesapi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * @author zr
 * @date 2025/1/7
 */
@Getter
@AllArgsConstructor
public enum dzmxbzEnum {

    sfdsmx_dzbz_TYPE0("0", "代收单位多帐"),
    sfdsmx_dzbz_TYPE1("1", "对账成功"),
    sfdsmx_dzbz_TYPE2("2", "营销系统多帐"),
    sfdsmx_dzbz_TYPE_2("-2", "已处理已收未销账"),
    sfdsmx_dzbz_TYPE_3("-3", "已处理未收已销账"),
    ;
    /**
     * 编码
     */
    private String dzbz;
    /**
     * 内容
     */
    private String value;
    public static String getDzbzForValue(String dzbz) {
        String sValue = "";
        if (StringUtils.isEmpty(dzbz)) {
            return sValue;
        }

        for (dzmxbzEnum e : dzmxbzEnum.values()) {
            if (e.dzbz.equalsIgnoreCase(dzbz)) {
                sValue = e.value;
                break;
            }
        }
        return sValue;
    }
}
